# Interface BinnedData.Bin

Enclosing interface:
  `BinnedData`

public static interface BinnedData.Bin
Represents a single bin. Instances of this class are dispensed by `BinnedData.getBinIterator(boolean)`.

Since:
  11 Nov 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double`
`getHighBound()`
Returns the highest value which will fall into this bin.
`double`
`getLowBound()`
Returns the lowest value which will fall into this bin.
`double`
`getWeightedCount(int iset)`
Returns the weighted sum of data in this bin for a given subset.

## Method Details

### getLowBound

double getLowBound()
Returns the lowest value which will fall into this bin.

Returns:
  lower bound of bin

### getHighBound

double getHighBound()
Returns the highest value which will fall into this bin.

Returns:
  upper bound of bin

### getWeightedCount

double getWeightedCount(int iset)
Returns the weighted sum of data in this bin for a given subset. If weights have all been unity, this is equivalent to the number of items in the bin.

Parameters:
  `iset` - subset index
Returns:
  weighted occupancy count for `iset` in this bin